MulticastMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.multicast.MulticastMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.multicast
Class MulticastMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.udp.UdpMessageReceiver
                  org.mule.transport.multicast.MulticastMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class MulticastMessageReceiver

extends UdpMessageReceiver

Nested Class Summary
`class` | `MulticastMessageReceiver.MulticastWorker`

Nested classes/interfaces inherited from class org.mule.transport.udp.UdpMessageReceiver
`UdpMessageReceiver.UdpWorker`

Field Summary

Fields inherited from class org.mule.transport.udp.UdpMessageReceiver
`bufferSize, disposing, inetAddress, responseTransformers, socket`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`MulticastMessageReceiver(AbstractConnector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected DatagramSocket` | `createSocket(URI uri, InetAddress inetAddress)`
`protected javax.resource.spi.work.Work` | `createWork(DatagramPacket packet)`
`protected void` | `doDispose()`

Methods inherited from class org.mule.transport.udp.UdpMessageReceiver
`createPacket, doConnect, doDisconnect, doStart, doStop, getResponseTransformers, getSocket, release, run`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### MulticastMessageReceiver

    public MulticastMessageReceiver(AbstractConnector connector,
                                    Service service,
                                    InboundEndpoint endpoint)
                             throws CreateException

Throws:
  `CreateException`

Method Detail

### createSocket

    protected DatagramSocket createSocket(URI uri,
                                          InetAddress inetAddress)
                                   throws IOException

  Overrides:
    `createSocket` in class `UdpMessageReceiver`
  Throws:
    `IOException`

### createWork

    protected javax.resource.spi.work.Work createWork(DatagramPacket packet)
                                               throws IOException

  Overrides:
    `createWork` in class `UdpMessageReceiver`
  Throws:
    `IOException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `UdpMessageReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.